#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-EPZllQSXXdr8gUHacFGoVK
key:                  ral-0.2.1-EPZllQSXXdr8gUHacFGoVK
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  7f10e942a18beff14fc93798e3bf2f7d
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-EPZllQSXXdr8gUHacFGoVK
depends:
    QuickCheck-2.14.3-7Nm4RdcnIaF3PAx9qYfVYI
    adjunctions-4.4.2-JsYpmnvaALBDsZX8L8n1gP base-4.16.4.0
    bin-0.1.3-5rZM5mdepMr8frNTAYTo8c
    boring-0.2.1-4ay7NZ1mR0V485tuSNtr0u deepseq-1.4.6.1
    distributive-0.6.2.1-1bvvLfbZptn2193vEf0nGF
    fin-0.3-Brsulr2nMCDGA9P6z2LG5w
    hashable-1.4.4.0-ICSz42nbRK83wekmmcsSsd
    indexed-traversable-0.1.4-HO0fpc7lKIK6uz4YKLePCh
    semigroupoids-5.3.7-6mA7yYOUbtl8RbQDVikbW2

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

